## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/mempool.h File Reference

Generic Memory Allocator. More...

`#include "cssysdef.h"`
`#include "csextern.h"`
`#include "csutil/array.h"`
`#include <new>`

Go to the source code of this file.

## Classes

class | csMemoryPool
| A quick-allocation pool for storage of arbitrary data. More...

## Functions

void * | operator new (size_t n, csMemoryPool *p)
void * | operator new (size_t n, csMemoryPool &p)
| Convenience `new` operator which makes the allocation from a csMemoryPool rather than from the system heap.

## Detailed Description

Generic Memory Allocator.

Definition in file mempool.h.